Project Chrono: chrono::particlefactory::ChParticleProcessEventMassDistribution Class Reference

Public Member Functions | Public Attributes | List of all members
chrono::particlefactory::ChParticleProcessEventMassDistribution Class Reference

## Description

Processed particle will increment a NxM matrix mass counter, so that a statistical distribution of flow over a uv surface can be obtained.

Note that the matrix maps the 0...1 of the u (matrix rows) and the 0..1 of the v (matrix columns) of the uv surface. Note: For the moment, this supports only the case of trigger of type ChParticleEventFlowInRectangle.

`#include <ChParticleProcessEvent.h>`

Inheritance diagram for chrono::particlefactory::ChParticleProcessEventMassDistribution:
[legend]
Collaboration diagram for chrono::particlefactory::ChParticleProcessEventMassDistribution:
[legend]

## Public Member Functions
| ChParticleProcessEventMassDistribution (int u_sects=10, int v_sects=10)
virtual void | ParticleProcessEvent (std::shared_ptr< ChBody > mbody, ChSystem &msystem, std::shared_ptr< ChParticleEventTrigger > mprocessor) override
| Remove the particle from the system.
Public Member Functions inherited from chrono::particlefactory::ChParticleProcessEvent
virtual void | SetupPreProcess (ChSystem &msystem)
| Children classes might optionally implement this.
virtual void | SetupPostProcess (ChSystem &msystem)
| Children classes might optionally implement this.

## Public Attributes
ChMatrixDynamic | mmass

## Member Function Documentation

## ◆ ParticleProcessEvent()

virtual void chrono::particlefactory::ChParticleProcessEventMassDistribution::ParticleProcessEvent | ( | std::shared_ptr< ChBody > | mbody,
|  | ChSystem & | msystem,
|  | std::shared_ptr< ChParticleEventTrigger > | mprocessor )
| inlineoverridevirtual

Remove the particle from the system.

Implements chrono::particlefactory::ChParticleProcessEvent.

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono/particlefactory/ChParticleProcessEvent.h